Subject: Proposed removal of hierarchy from CAP

From: [email-masked] (Steve Mansour)
Date: Sat, 22 Dec 2001 08:54:56 -0800 (Pacific Standard Time)

Folks,

I hesitate to stir up the works here, but here goes...  It has been
proposed to me in private email and phone conversations that we remove hierarchy
from CAP. That is, calendars would not be hierarchical in nature; they would not
have the PARENT and CHILDREN properties.  This was proposed as a
simplification. It simplifies access control (especially around the "move"
command); it will simplify implementations.  I talked with ta few people
about this at the meeting in SLC.  It seems to have some support.

What do you all think about dropping hierarchy from calendars?

-Steve
--
Steve Mansour
Director of Engineering
AOL /
Netscape

---

From: Doug Royer <[email-masked]>
Date: Sat, 22 Dec 2001 10:43:27 -0700

Steve Mansour wrote:
> proposed to me in private email and phone conversations that we remove
> hierarchy from CAP. That is, calendars would not be hierarchical in
> nature; they would not have the PARENT and CHILDREN properties.  This
> was proposed as a simplification. It simplifies access control
> (especially around the "move" command); it will simplify
> implementations.

How about:

 We could do away with VCAR inheritance and keep the 
 calendar hierarchical structure as is. This would also simplify
 the move command to the point it could be used.

 A calendar simply contains ALL of its own VCARs.

 Implementations would sill be free to implement the storage
 of VCARs the same as long as the net result was that it appeared
 to all calendars as if they contain their own VCARs?

 Immutable decreed VCARs would just 'seem' to be in each calendar.
 No inheritance needed. Same with the CAR-MIN VCARs.

-Doug